<?php

namespace Drupal\window_debugger\Ajax;

use Drupal\Core\Ajax\CommandInterface;
use Drupal\Core\Render\Markup;

/**
 * An AJAX command for calling the jQuery after() method.
 * 
 * @see http://docs.jquery.com/Manipulation/after#content
 *
 * @ingroup ajax
 */
class DrupalLogAjax implements CommandInterface {

  /**
   *  A string that contains the debug content
   *
   * @var string
   */
  private $data;

  /**
   * Constructs an DrupalLogAjax
   *
   * @param string $data
   */
  public function __construct($data) {
    $this->data = $data;
  }

  /**
   * Render ajax command.
   *
   * @return ajax command function
   */
  public function render() {
    return [
        'command' => 'debugger',
        'message' => '<div class="item">'.$this->data.'</div>',
    ];
  }
}
