<?php

namespace Drupal\window_debugger\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\window_debugger\Ajax\DrupalLogAjax;
use Drupal\Core\Ajax\AjaxResponse;

/**
 * Controller routines for debuger routes.
 */
class DrupalLogDebugger extends ControllerBase {

  /**
   * {@inheritdoc}
   *
   * @var string
   */
  private $content;

  /**
   * JSON response object for AJAX requests.
   * @see https://api.drupal.org/api/drupal/core%21lib%21Drupal%21Core%21Ajax%21AjaxResponse.php/class/AjaxResponse/8.2.x
   *
   * @var object
   */
  private $ajax_response;

  /**
   * {@inheritdoc}
   */
  public function __construct() {
    $this->ajax_response = new AjaxResponse();
    $this->content = (string) !empty($_SESSION['windowDebugger']) ? $_SESSION['windowDebugger'] : '';
  }

  /**
   * Add an AJAX command to the response.
   * 
   * @return AjaxResponse
   */
  public function get() {
    if(empty($this->content)) return $this->ajax_response->addCommand(new DrupalLogAjax( "<span class='empty'>not record</span><br/>" ));
    $this->ajax_response->addCommand(new DrupalLogAjax($this->content));
    return $this->ajax_response;
  }

  /**
   * {@inheritdoc}
   */
  public function __destruct() {
    $this->content = '';
  }
}
